@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");

body {
  font-family: "Roboto", sans-serif;
  background: #ffffff;
  font-size: 20px;
  font-weight: 400;
  color: #000000;
  margin: 0;
  padding: 0;
  position: relative;
}

*,
*:after,
*:before {
  box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
li {
  font-size: inherit;
  font-weight: inherit;
  margin: 0;
  padding: 0;
}

.hide {
  display: none !important;
}

.map {
  height: 100vh;
  z-index: 1;
}

/* First Popup */

.first__popup {
  width: 500px; 
  height: auto;
  background-color: #ffffff;
  padding: 20px 20px 25px;
  border-radius: 20px;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.7) !important;
  position: fixed;
  top: calc(25% - 100px);
  right: calc(50% - 250px);
  z-index: 5;
}
.first__popup__title {
  max-width: 350px;
  text-align: center;
  text-transform: capitalize;
  font-size: 28px;
  font-weight: 700;
  line-height: 1.3;
  color: #424242;
  margin: 0 auto 20px;
}
.first__popup__button {
  text-align: center;
  width: 100%;
  max-width: 300px;
  display: block;
  text-decoration: none;
  border-radius: 50px;
  transition: all linear 0.07s;
  background-color: #5f1fad;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.3) !important;
  font-size: 24px;
  font-weight: 500;
  color: #ffffff;
  padding: 15px;
  margin: 0 auto;
}
.first__popup__button:hover {
  background-color: #450b8d;
}
/* Model Popup */

.popup-wrapper {
  height: 100vh;
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  top: 0;
  background-color: #520f6668;
  z-index: 5;
}
.popup {
  width: 560px;
  height: 350px;
  background-color: #ffffff;
  padding: 20px 20px 25px;
  border-radius: 10px;

  position: fixed;
  top: calc(50% - 175px);
  right: calc(50% - 280px);
}
.popup__close {
  cursor: pointer;
  background-color: #fff;
  color: #333333;
  font-size: 22px;
  line-height: 1;
  padding: 3px;
  border-radius: 50%;
  border: none;

  position: absolute;
  top: 8px;
  right: 15px;
}
.popup__close:hover {
  color: #e70f0f;
}
.popup__inner {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 10px;
}
.popup__image {
  width: 250px;
  border-radius: 10px;
  overflow: hidden;
}
.popup__image__item {
  display: block;
  max-width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}
.popup__content {
  padding: 10px 10px 10px 5px;
}
.popup__content__title {
  font-weight: 700;
  font-size: 20px;
  margin-bottom: 12px;
}
.popup__content__text {
  font-weight: 400;
  font-size: 15px;
  margin-bottom: 12px;
}
.popup__content__text span {
  font-weight: 600;
}

.popup__button--mobile {
  display: none !important;
}
.popup__button {
  text-align: center;
  display: block;
  text-decoration: none;
  background-color: #bd0bba;
  border-radius: 5px;
  color: #ffffff;
  font-weight: 600;
  font-size: 21px;
  padding: 13px 15px;
  margin-top: 20px;
  transition: all linear 0.07s;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.4) !important;
}
.popup__button:hover {
  background-color: #9c069a;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.7) !important;
}

.leaflet-popup {
  cursor: pointer;
}

.leaflet-popup-content-wrapper,
.leaflet-popup-tip {
  display: block;
  background-color: #bb26e1 !important;
}
.leaflet-popup-tip-container {
  z-index: -1 !important;
}
.leaflet-popup-content-wrapper {
  transition: transform linear 0.1s;
  box-shadow: 0 3px 14px rgba(0, 0, 0, 0.6) !important;
  border-radius: 7px !important;
}
.leaflet-popup-content-wrapper:hover {
  box-shadow: 0 3px 14px rgba(0, 0, 0, 1) !important;
  transform: scale(1.05);
}
.leaflet-popup-content {
  margin: 7px 7px 10px 7px !important;
}
.question {
  font-size: 28px;
  font-weight: 700;
  color: #2a2729;
  margin-bottom: 25px;
  text-align: center;
}
.marker {
  width: 130px;
  max-width: 100%;
}
.marker__image {
  max-width: 100%;
  width: 100%;
  display: block;
}
.dot__box {
  display: flex;
  justify-content: center;
  margin-bottom: 25px;
}
.dot__item {
  width: 10px;
  height: 10px;
  background-color: #383a42;
  margin: 0 6px;
  border-radius: 50%;
}
.dot__active {
  background-color: #a33064;
}
.button {
  text-decoration: none;
  text-align: center;
  display: block;
  cursor: pointer;
  width: 100%;
  font-family: 'Roboto', sans-serif;
  font-size: 20px;
  font-weight: 700;
  border: none;
  color: #ffffff;
  background: #5f1fad;
  border-radius: 8px;
  padding: 16px;
  margin-bottom: 10px;
}
.button:hover {
  background-color: #450b8d;
}
.show {
  display: block !important;
}

.buttons-box__links {
  display: none;
}
.start-button p{
  margin-bottom: 25px;
  text-align: center;
  font-weight: 700;
}
.start-button #start-button{
  width: -webkit-min-content;
  width: -moz-min-content;
  width: min-content;
  padding: 8px 16px;
  font-size: 24px;
  text-transform: uppercase;
  margin: 0 auto;
}
.text-count{
  text-transform: uppercase;
}
.loading-gif {
  display: none;
  text-align: center;
  animation: blink 1s infinite;  
}
@keyframes blink {
  0%, 100% {
    opacity: 1;  
  }
  50% {
    opacity: 0.3;  
  }
}
#loading-gif h3{
  font-size: 24px;
  text-align: center;
  color: #450b8d;
}
#result-message p{
  font-size: 24px;
  margin-bottom: 20px;
  text-align: center;
}
#result-message #result-percentage{
  font-size: 25px;
  font-weight: 700;
}
#result-message a{
  width: -webkit-min-content;
  width: -moz-min-content;
  width: min-content;
  margin: 0 auto;
}
@media (max-width: 610px) {
  .first__popup {
    width: auto;
    height: auto;
    top: 70px;
    right: 15%;
    left: 15%;
    padding: 15px;
  }
  .question {
    font-size: 18px;
}
  .popup {
    width: 94%;
    height: auto;

    position: fixed;
    top: 70px;
    right: calc(50% - 47%);
  }
  .popup__inner {
    grid-gap: 15px;
  }
  .popup__image {
    width: 240px;
    border-radius: 10px;
    overflow: hidden;
  }
  .button{
    font-size: 15px;
    padding: 8px;
  }
}
@media (max-width: 500px) {
  .first__popup__title {
    font-size: 24px;
  }
  .popup {
    border-radius: 5px;
  }
  .popup__inner {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
  }
  .popup__image {
    width: 180px;
    border-radius: 5px;
    margin-bottom: 15px;
    max-height: 250px;
    overflow: hidden;
    margin-right: 10px;
  }
  .popup__image__item {
    border-radius: 5px;
  }
  .popup__content {
    padding: 5px 0 5px 0;
  }
  .popup__content__title {
    font-size: 18px;
  }
  .popup__button {
    margin-top: 5px;
  }
  .popup__button--desktop {
    display: none !important;
  }
  .popup__button--mobile {
    display: block !important;
  }
  .popup__image__item {
    display: block !important;
    max-width: 100%;
    height: 90%;
    -o-object-fit: cover;
    object-fit: cover;
    width: 100%;
    max-height: 200px;
  }
  .buttons-box__links blockquote {
    font-size: 14px;
    padding: 0 0 10px;
    margin: 0;
  }
}
@media (max-width: 400px) {
  .popup {
    padding: 15px 15px 20px;
  }
  .popup__content__text {
    font-size: 14px;
  }
  .popup__close {
    font-size: 20px;

    position: absolute;
    top: 8px;
    right: 12px;
  }
}
